[Windows] Unable to update from 6-22 en-US Windows build

RESOLVED INCOMPLETE

Status

defect
--
critical
RESOLVED INCOMPLETE
2 years ago
2 years ago

People

(Reporter: marcia, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Seen while running the 6-22 build. Today I was unable to get an update on Windows.

Here is some relevant discussion in the IRC channel:

aki
IRC
5:55
i see updates from this morning for windows
5:55
i forget the balrog testing urls

RyanVM
IRC
5:55
myself and a number of users are stuck on 06-22
5:56
aki: you're seeing an update to 06-23?

aki
IRC
5:56
there is one there, i don't know if it's live
5:59
do you know what your update url is?

RyanVM
IRC
6:00
https://aus5.mozilla.org/update/6/%PRODUCT%/%VERSION%/%BUILD_ID%/%BUILD_TARGET%/%LOCALE%/%CHANNEL%/%OS_VERSION%(noBug1296630v1)(nowebsense)/%SYSTEM_CAPABILITIES%/%DISTRIBUTION%/%DISTRIBUTION_VERSION%/update.xml
6:01
i can app.update.log=true if you need the actual
6:01
AUS:SVC Checker:checkForUpdates - sending request to: https://aus5.mozilla.org/update/6/Firefox/56.0a1/20170622030208/WINNT_x86-msvc-x64/en-US/nightly/Windows_NT%2010.0.0.0%20(x64)(noBug1296630v1)(nowebsense)/SSE3,32663/default/default/update.xml?force=1

aki
IRC
6:04
so if i change the 0622 to 0621, i get https://aus5.mozilla.org/update/6/Firefox/56.0a1/20170621030208/WINNT_x86-msvc-x64/en-US/nightly/Windows_NT%2010.0.0.0%20(x64)(noBug1296630v1)(nowebsense)/SSE3,32663/default/default/update.xml?force=1
6:04
something's pinning it to yesterday
6:06
all the l10n is 0623. en-us is 0622

RyanVM
IRC
6:06
lol, wtf

aki
IRC
6:06
i wonder if that has to do with us pushing the en-US bits to the l10n dir
6:11
latest win64 complete mar is up to date here https://archive.mozilla.org/pub/firefox/nightly/latest-mozilla-central/
6:11
Severity: normal → critical
Ben, any idea why en-US win64 would be on 0622 but l10n win64 on 0623? Failed balrog submission? L10n dir issue?
Flags: needinfo?(bhearsum)

Comment 2

2 years ago
For the last two days updating 32bit manually, no delta auto updates :(
FYI - I was finally autoupdated from (2017-06-22) to (2017-06-24) build. (2017-06-23) build was omitted.
The Firefox-mozilla-central-nightly-20170623045418 release in Balrog is definitely missing en-US bits in it, but it appears to have all of the locales. Looking at treeherder (https://treeherder.mozilla.org/#/jobs?repo=mozilla-central&revision=594cc32b632396a867ef1f98428968b224d82151) I see no funsize running for en-US. AFAIK, funsize submits completes and partials for en-US these days, so that's why we didn't get en-US updates.

I'm not really sure why funsize didn't trigger, nor why it seems to have fixed itself. We did roll out a new funsize scheduler last week, so I wonder if doing that made us miss a pulse event or something? Rail or Simon might have a better idea how to debug that part.
Flags: needinfo?(sfraser)
Flags: needinfo?(rail)
Flags: needinfo?(bhearsum)
I can see pulse message parsing errors from those dates but we sadly don't log enough to see what the message might have been - it does look like funsize never received a valid trigger to start the partial generation for some of those tasks.
Flags: needinfo?(sfraser)

Comment 6

2 years ago
I am currently unable to update from 6-30, en-US, Win 8.1 x64.
Still on Mozilla/5.0 (X11; Linux x86_64; rv:56.0) Gecko/20100101 Firefox/56.0 ID:20170630100234 CSet: d9a144b7b6d994fc9a497c53b13f51a2a654d85e here.

My Thunderbird Daily is also not updating. Mozilla/5.0 (X11; Linux x86_64; rv:56.0) Gecko/20100101 Thunderbird/56.0a1 ID:20170630030206 CSet: 2983f04886b61661fc69d2eb5262084f902e0486

Updated

2 years ago
Duplicate of this bug: 1377797
FYI - I was finally autoupdated from (2017-06-30) to (2017-07-03) build. (2017-07-02) & (2017-07-03) builds were omitted.
(In reply to Virtual_ManPL [:Virtual] - (please needinfo? me - so I will see your comment/reply/question/etc.) from comment #9)
> (2017-07-01) & (2017-07-02) builds were omitted.
fixed

Comment 11

2 years ago
(In reply to ajfhajf from comment #6)
> I am currently unable to update from 6-30, en-US, Win 8.1 x64.
I was updated from 30-06-17 to 03-07-17 and then from 03-07-17 to 04-07-17. en-US, Win8.1 x64.

Comment 12

2 years ago
Same here. I guess this bug can be closed, at least upgrading is working again for me, too.
This bug was being left open specifically to investigate the outage the bug was originally reported in this bug, as covered by comments 4 and 5. The issues over the weekend were completely unrelated (separate issues publishing to balrog across all platforms). I'll defer to RelEng as to whether this bug should be closed or not, but conflating two different issues in one bug isn't helpful.

Updated

2 years ago
Flags: needinfo?(rail)
I'm afraid there's not enough information right now to debug this further.
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.